Bug 1620074 - nfs client fails to install for F28 guests
Summary: nfs client fails to install for F28 guests
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: vagrant
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Pavel Valena
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-08-22 11:57 UTC by Tobias Jungel
Modified: 2018-10-07 20:59 UTC (History)
7 users (show)

Fixed In Version: vagrant-2.1.2-2.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-07 20:59:02 UTC
Type: Bug


Attachments (Terms of Use)

Description Tobias Jungel 2018-08-22 11:57:26 UTC
Description of problem:

Starting a Fedora 28 VM using vagrant with nfs mounts fails.


Steps to Reproduce:

1. create a Vagrant file like this:

Vagrant.configure(2) do |config|
  config.vm.box = "fedora/28-cloud-base"
  config.vm.synced_folder ".", "/vagrant", :nfs => true
end


2. call

vagrant up


3. see the error

Stdout from the command:

/usr/bin/dnf
Fedora 28 - x86_64 - Updates                     48 MB/s |  22 MB     00:00    
Fedora 28 - x86_64                               44 MB/s |  60 MB     00:01    
Last metadata expiration check: 0:00:06 ago on Wed 22 Aug 2018 11:50:57 AM UTC.
No match for argument: nfs-utils-lib

...


Expected results:

correct installation of the nfs client

Additional info:

Bug is fixed upstream https://github.com/hashicorp/vagrant/pull/9935

Would be great to have this backported :)

Comment 1 Pavel Valena 2018-08-22 15:46:52 UTC
Hello Tobias!
Thank you for your report.

I do not see any issue for backporting the fix. Unfortunately, I do not have any free cycles to do it now, but feel free to submit a Pull Request[1].
Also, would you be able to test it, in case I get some spare cycles to create the PR? (See the existing one for details.)

Just in case you'd be interested: my COPR repository with newer Vagrant[2].

[1] https://src.fedoraproject.org/rpms/vagrant/pull-requests
[2] https://copr.fedorainfracloud.org/coprs/pvalena/vagrant/

Comment 2 Tobias Jungel 2018-08-23 18:16:11 UTC
Hi Pavel,

sure I can do a PR (but I guess it will be mid/end next week - cycles are rare ;). Where would have been the correct place to file the issue regarding the backporting as well src.fedoraproject.org?

Thanks for the COPR pointer!

/tobi

Comment 3 Pavel Valena 2018-08-24 07:49:49 UTC
> sure I can do a PR (but I guess it will be mid/end next week - cycles are
> rare ;). Where would have been the correct place to file the issue regarding
> the backporting as well src.fedoraproject.org?

I'm not sure what you mean- you do not need to create any issue. Only the PR:

  https://docs.pagure.org/pagure/usage/pull_requests.html

Note, that if you're not in the `packager` group, you have to use a bit different workflow:

  https://pagure.io/fedora-infrastructure/issue/6361

Feel free to ping me on irc:
  pvalena in #fedora-devel @Freenode.

Comment 4 Tobias Jungel 2018-09-12 13:43:13 UTC
Hi Pavel,

sorry my question was stupid. I somehow thought src.fedoraproject.org comes with an issue tracker like paguere does. Just made the PR:

https://src.fedoraproject.org/rpms/vagrant/pull-request/11

Thanks a lot
Tobi

Comment 5 Fedora Update System 2018-09-27 13:53:23 UTC
vagrant-2.1.2-2.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-c676893073

Comment 6 Fedora Update System 2018-09-27 16:43:37 UTC
vagrant-2.1.2-2.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-c676893073

Comment 7 Fedora Update System 2018-10-07 20:59:02 UTC
vagrant-2.1.2-2.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.